

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Andreas Hejj

*/


#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY


#include "terminal.h"

#include "event_handler.h"

#include "state.h"

#include "util/loading/load_param.h"
#include "util/loading/factory.h"

#include "graphics_engine.h"
#include "camera.h"
#include "sound_engine.h"

#include "sound_source.h"

#include "glgui.h"
#include "menu/glgui_imagebutton.h"
#include "glgui_text.h"


ObjectListDefinition(Terminal);

CREATE_FACTORY(Terminal);


Terminal::Terminal(const TiXmlElement* root)
{
  this->registerObject(this, Terminal::_objectList);

  this->toList(OM_GROUP_00);
  

  if( root != NULL)
    this->loadParams(root);

}

Terminal::~Terminal () 
{}




/**
 * loads the xml tags
 * @param root: root xml tag for this element
 */
void Terminal::loadParams(const TiXmlElement* root)
{
   WorldEntity::loadParams(root);
}
